Bug 291705 - MSN Oauth2 authentication token should be refreshed
Summary: MSN Oauth2 authentication token should be refreshed
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: auth-handler (show other bugs)
Version: git-latest
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-16 21:43 UTC by Daniele E. Domenichelli
Modified: 2012-07-06 12:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2012-01-16 21:43:45 UTC
When the oauth2 token expires, it should be refreshed, or at least deleted from the wallet interface, at the moment the only way to reconnect is to delete the account and recreate it.
Comment 1 Daniele E. Domenichelli 2012-01-18 22:01:56 UTC
Git commit 8bdc4847ed069dedd2ff74ef294d3db2d4de7294 by Daniele E. Domenichelli.
Committed on 18/01/2012 at 11:35.
Pushed by ddomenichelli into branch 'master'.

Fix X-MESSENGER-OAUTH authentication when token is expired

M  +13   -0    x-messenger-oauth2-auth-operation.cpp

http://commits.kde.org/telepathy-auth-handler/8bdc4847ed069dedd2ff74ef294d3db2d4de7294